gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.DBusMenuModel

Contents

- Exported types
- Methods
  - get

Description

`DBusMenuModel` is an implementation of `MenuModel` that can be used as a proxy for a menu model that is exported over D-Bus with `dBusConnectionExportMenuModel`.

Synopsis

- newtype DBusMenuModel = DBusMenuModel (ManagedPtr DBusMenuModel)
- class GObject o => IsDBusMenuModel o
- toDBusMenuModel :: (MonadIO m, IsDBusMenuModel o) => o -> m DBusMenuModel
- noDBusMenuModel :: Maybe DBusMenuModel
- dBusMenuModelGet :: (HasCallStack, MonadIO m, IsDBusConnection a) => a -> Maybe Text -> Text -> m DBusMenuModel

# Exported types

newtype DBusMenuModel Source #

Memory-managed wrapper type.

Constructors

DBusMenuModel (ManagedPtr DBusMenuModel) |

Instances

GObject DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel Methods gobjectType :: DBusMenuModel -> IO GType Source #
IsObject DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel
IsMenuModel DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel
IsDBusMenuModel DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel

class GObject o => IsDBusMenuModel o Source #

Type class for types which can be safely cast to `DBusMenuModel`, for instance with `toDBusMenuModel`.

Instances

(GObject a, (UnknownAncestorError DBusMenuModel a :: Constraint)) => IsDBusMenuModel a Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel
IsDBusMenuModel DBusMenuModel Source # |
Instance details Defined in GI.Gio.Objects.DBusMenuModel

toDBusMenuModel :: (MonadIO m, IsDBusMenuModel o) => o -> m DBusMenuModel Source #

Cast to `DBusMenuModel`, for types for which this is known to be safe. For general casts, use `castTo`.

noDBusMenuModel :: Maybe DBusMenuModel Source #

A convenience alias for `Nothing` :: `Maybe` `DBusMenuModel`.

# Methods

## get

dBusMenuModelGet Source #

Arguments

:: (HasCallStack, MonadIO m, IsDBusConnection a) |
=> a | `connection`: a `DBusConnection`
-> Maybe Text | `busName`: the bus name which exports the menu model or `Nothing` if `connection` is not a message bus connection
-> Text | `objectPath`: the object path at which the menu model is exported
-> m DBusMenuModel | Returns: a `DBusMenuModel` object. Free with `objectUnref`.

Obtains a `DBusMenuModel` for the menu model which is exported at the given `busName` and `objectPath`.

The thread default main context is taken at the time of this call. All signals on the menu model (and any linked models) are reported with respect to this context. All calls on the returned menu model (and linked models) must also originate from this same context, with the thread default main context unchanged.

Since: 2.32